#!/usr/bin/ruby1.8

require	'Krb5Proxy'
require 'NetworkInterfaces'

#	Create network interfaces query object.
ni = NetworkInterfaces.new()
ni.keys.each { |key|
	print "Data: #{ni[key]}\n"
}

#	Create proxy to talk to storage consumer
#	daemon running on specified server.
pr = Proxy.new(
	9001,
	'morningstar.nowhere.lie',
	'StorageConsumer' )

(0..300).each { |i|
	begin
		#	Send message to proxy.
		pr.doIt
	rescue
		#	Remove proxy from receptionist.
		$stderr.print "Uncaught Exception: #{$!}\n"
		exit 1
	end
}

#	Destroy proxy.
pr.close
